Initialize MFA Flow
GET /mfa/flows/{flow}
GET
/mfa/flows/{flow}
Creates and returns a signed MFA token for a specific flow. The token contains challenges that need to be completed for the flow. Supported flows: phone_update_flow, payment_method_create_flow, payment_method_select_flow, payment_method_delete_flow
Flow:
- Authenticate user via JWT token (required).
- Validate flow name against supported MFA flows.
- Initialize all required challenges for the flow in pending status.
- Generate and sign MFA JWT token.
- Return the MFA token to the client.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” flow
required
string
MFA Flow Name
Responses
Section titled “ Responses ”OK
object
token
string
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...Bad request - invalid flow name
object
error
string
some meaningful error messageUnauthorized - missing or invalid auth token
object
error
string
some meaningful error messageInternal server error
object
error
string
some meaningful error message